diff -pruN 2.10.0+20201029-1/debian/changelog 2.10.0+20201029-3/debian/changelog
--- 2.10.0+20201029-1/debian/changelog	2020-10-29 18:36:55.000000000 +0000
+++ 2.10.0+20201029-3/debian/changelog	2021-01-09 14:59:48.000000000 +0000
@@ -1,3 +1,18 @@
+creduce (2.10.0+20201029-3) unstable; urgency=medium
+
+  * Fix LLVM 9 build dependencies on armel, armhf.
+  * Run the tests again, finally frama-c-base is available again.
+
+ -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 15:59:48 +0100
+
+creduce (2.10.0+20201029-2) unstable; urgency=medium
+
+  * Build using LLVM 9 on armel, armhf. See #979495.
+  * Bump debhelper and standards versions.
+  * Fix man page (Michael R. Crusoe). Closes: #961004.
+
+ -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 14:22:00 +0100
+
 creduce (2.10.0+20201029-1) unstable; urgency=medium
 
   * New upstream snapshot, taken from the llvm-11 branch.
diff -pruN 2.10.0+20201029-1/debian/compat 2.10.0+20201029-3/debian/compat
--- 2.10.0+20201029-1/debian/compat	2020-10-29 18:36:55.000000000 +0000
+++ 2.10.0+20201029-3/debian/compat	2021-01-08 13:22:59.000000000 +0000
@@ -1 +1 @@
-11
+12
diff -pruN 2.10.0+20201029-1/debian/control 2.10.0+20201029-3/debian/control
--- 2.10.0+20201029-1/debian/control	2020-10-29 18:36:55.000000000 +0000
+++ 2.10.0+20201029-3/debian/control	2021-01-09 14:59:48.000000000 +0000
@@ -3,23 +3,26 @@ Section: devel
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 11), dh-autoreconf,
+Build-Depends: debhelper (>= 12), dh-autoreconf,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-11-dev, libclang-11-dev, libclang-cpp11-dev,
-  clang-11, clang-format-11,
+  llvm-11-dev [!armel !armhf], libclang-11-dev [!armel !armhf], libclang-cpp11-dev [!armel !armhf],
+  clang-11 [!armel !armhf], clang-format-11 [!armel !armhf],
+  llvm-9-dev [armel armhf], libclang-9-dev [armel armhf],
+  clang-9 [armel armhf], clang-format-9 [armel armhf],
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-#  frama-c-base <!nocheck>
+  frama-c-base <!nocheck>
 Build-Conflicts: kcc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-11,
+  clang-format-11 [!armel !armhf],
+  clang-format-9 [armel armhf],
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
diff -pruN 2.10.0+20201029-1/debian/rules 2.10.0+20201029-3/debian/rules
--- 2.10.0+20201029-1/debian/rules	2020-10-29 18:36:55.000000000 +0000
+++ 2.10.0+20201029-3/debian/rules	2021-01-08 13:24:01.000000000 +0000
@@ -7,6 +7,11 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CLANG_V	= 11
+ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
+  CLANG_V=9
+else
+  CLANG_V=11
+endif
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
 
@@ -26,7 +31,7 @@ override_dh_auto_build:
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
 	  v=$$(creduce/creduce --help| awk '/^creduce/ { print $$2 }'); \
-	  help2man --name='C and C++ program reducer' --version-string=$$v creduce/creduce > debian/creduce.1; \
+	  help2man --no-info --name='C and C++ program reducer' --version-string=$$v creduce/creduce > debian/creduce.1; \
 	fi
 endif
 
